Compare commits

..

No commits in common. "c4bae182c61a111f7aa5534875490639c4172138" and "19c8679df03af017fcd759cc5f8acf0eac6a334e" have entirely different histories.

7 changed files with 42238 additions and 42714 deletions

37
guardacosas/modelo.py Normal file
View File

@ -0,0 +1,37 @@
import cadquery2 as cq
from cadquery2 import exporters
# The hole for the "peg" where this goes
peg_front = 9.5
peg_side = 9
peg_height = 12
# General size of the handle
width = 20
length = 70
height = 16
# General shape of the handle seen from above
handle_shape_top = cq.Sketch().trapezoid(width, length, 85).vertices().fillet(3)
hole_shape = cq.Sketch().trapezoid(peg_front, peg_side, 90)
bottom_cutout = cq.Sketch().trapezoid(width, length - width, 90)
handle = (
cq.Workplane("XY")
.placeSketch(handle_shape_top)
.extrude(height)
.faces("<Z")
.workplane(centerOption="CenterOfBoundBox")
.center(0, length/2 - width/2)
.placeSketch(hole_shape)
.cutBlind(-peg_height)
.faces("<Z")
.workplane(centerOption="CenterOfBoundBox")
.center(0, -width/2)
.placeSketch(bottom_cutout)
.cutBlind(-height/2)
)
exporters.export(handle, "guardacosas.stl")

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

42170
notebook_nueva/model.stl Normal file

File diff suppressed because it is too large Load Diff

View File

@ -36,67 +36,36 @@ pillars = (
) )
def model(): model = (
return ( cq.Workplane("XY")
cq.Workplane("XY") .workplane(offset=thickness / 2)
.workplane(offset=thickness / 2) .tag("mid_height")
.tag("mid_height") # Hollow box
# Hollow box .box(width, height, thickness)
.box(width, height, thickness) .edges("|Z")
.edges("|Z") .fillet(2)
.fillet(2) .faces(">Z")
.faces(">Z") .shell(-shell_t)
.shell(-shell_t) # Make the lower part solid to mount the kbd
# Slanted mounting pillars on the kbd top # .faces("<Z")
.faces(">Z") # .workplane(centerOption="CenterOfBoundBox", offset=-thickness / 2)
.workplane(centerOption="CenterOfBoundBox") # .center(0, height * 0.5 - 20)
.center(-width / 2, 17) # .box(width, 40, thickness)
.transformed(rotate=cq.Vector(kbd_angle, 0, 0)) # # Mounting pillars on the kbd top
.tag("sloped") .faces(">Z")
.placeSketch(pillars) .workplane(centerOption="CenterOfBoundBox")
.extrude(-1000) .center(-width/2, 17)
# Remove the excess extrusion .transformed(rotate=cq.Vector(kbd_angle, 0, 0))
.workplaneFromTagged("mid_height") .tag("sloped")
.transformed(offset=cq.Vector(0, 0, -thickness / 2)) .placeSketch(pillars)
.split(keepTop=True) .extrude(-1000)
# Slope for the beyboard # Remove the excess extrusion
.workplaneFromTagged("sloped") .workplaneFromTagged("mid_height")
.split(keepBottom=True) .transformed(offset=cq.Vector(0, 0, -thickness / 2))
) .split(keepTop=True)
# Slope for the beyboard
top_right = ( .workplaneFromTagged("sloped")
model() .split(keepBottom=True)
.faces(">Y")
.workplane(offset = -120).split(keepTop=True)
.faces(">X")
.workplane(offset=-135).split(keepTop=True)
) )
exporters.export(top_right, "top_right.stl")
top_left = (
model()
.faces(">Y")
.workplane(offset = -120).split(keepTop=True)
.faces(">X")
.workplane(offset=-135).split(keepBottom=True)
)
exporters.export(top_left, "top_left.stl")
bottom_right = (
model()
.faces(">Y")
.workplane(offset = -120).split(keepBottom=True)
.faces(">X")
.workplane(offset=-165).split(keepTop=True)
)
exporters.export(bottom_right, "bottom_right.stl")
bottom_left = (
model()
.faces(">Y")
.workplane(offset = -120).split(keepBottom=True)
.faces(">X")
.workplane(offset=-165).split(keepBottom=True)
)
exporters.export(bottom_left, "bottom_left.stl")
exporters.export(model, "model.stl")

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff